Package ru.bitel.oss.kernel.directories.address.server.bean

# Class CityDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.common.dao.AbstarctDaoConstant
ru.bitel.common.dao.AbstractDao<City>
ru.bitel.common.dao.AbstractIdDao<City>
ru.bitel.common.dao.AbstractDirectoryIdDao<City>
ru.bitel.oss.kernel.directories.address.server.bean.AbstractAddressDao<City>
ru.bitel.oss.kernel.directories.address.server.bean.CityDao

All Implemented Interfaces:
  `AutoCloseable`, `Directory<City>`

public class CityDao extends AbstractAddressDao<City> implements Directory<City>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

  `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.dao.AbstractDao

  `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, moduleId, orderByPattern, tableName`

  ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `ERROR, fields, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CityDao(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `countryCityCount(int countryId)`
  `City`
  `get(String title)`
  Получение элемента по title(name)
  Может быть не имплементировано - в этом случае бросается `UnsupportedOperationException`
  `City`
  `get(String title, int countryId)`
  `protected City`
  `getFromRS(ResultSet rs)`
  `protected String`
  `getQuery()`
  `protected String`
  `getQueryById()`
  `List<City>`
  `list()`
  Получение всего списка элементов из справочника
  `List<City>`
  `list(int countryId)`
  `List<City>`
  `list(int countryId, String title)`
  `protected List<City>`
  `listImpl(Page page, String filter, String orderBy, Object... params)`
  `protected City`
  `newBean()`
  `void`
  `searchCityList(SearchResult<City> searchResult, int countryId, String cityMask)`
  `protected void`
  `updateImpl(City city)`

  ### Methods inherited from class ru.bitel.oss.kernel.directories.address.server.bean.AbstractAddressDao

  `deleteRows, get, getBaseFromRS, getEntityCount`

  ### Methods inherited from class ru.bitel.common.dao.AbstractIdDao

  `delete, executeUpdate, get, getAndDelete, getAndUpdate, opt`

  ### Methods inherited from class ru.bitel.common.dao.AbstractDao

  `close, delete, deleteImpl, dropTemporaryTable, eq, getById, getImpl, getListFromRS, getPeriod, getSQLOrder, getTableName, list, list, listImpl, listImplPS, listImplPS, loadData, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, processException, setPageRecordCount, setStatementParam, update`

  ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `getSQLOrder, psSetDate, psSetInt, psSetString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.bgbilling.kernel.directory.api.common.bean.Directory

  `delete, get, opt, update`

- ## Constructor Details

  - ### CityDao

    public CityDao(Connection con)

- ## Method Details

  - ### newBean

    protected City newBean()
    Specified by:
      `newBean` in class `AbstractAddressDao<City>`

  - ### getFromRS

    protected City getFromRS(ResultSet rs) throws SQLException, ru.bitel.bgbilling.common.BGException
    Specified by:
      `getFromRS` in class `ru.bitel.common.dao.AbstractDao<City>`
    Throws:
      `SQLException`
      `ru.bitel.bgbilling.common.BGException`

  - ### listImpl

    protected List<City> listImpl(Page page, String filter, String orderBy, Object... params) throws ru.bitel.bgbilling.common.BGException, SQLException
    Overrides:
      `listImpl` in class `ru.bitel.common.dao.AbstractDao<City>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### getQueryById

    protected String getQueryById()
    Overrides:
      `getQueryById` in class `ru.bitel.common.dao.AbstractDao<City>`

  - ### getQuery

    protected String getQuery()
    Overrides:
      `getQuery` in class `AbstractAddressDao<City>`

  - ### updateImpl

    protected void updateImpl(City city) throws ru.bitel.bgbilling.common.BGException, SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.common.dao.AbstractDao<City>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### list

    public List<City> list() throws ru.bitel.bgbilling.common.BGException
    Description copied from interface: `Directory`
    Получение всего списка элементов из справочника
    Specified by:
      `list` in interface `Directory<City>`
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### list

    public List<City> list(int countryId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### list

    public List<City> list(int countryId, String title) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### get

    public City get(String title) throws ru.bitel.bgbilling.common.BGException
    Description copied from interface: `Directory`
    Получение элемента по title(name)
    Может быть не имплементировано - в этом случае бросается `UnsupportedOperationException`
    Specified by:
      `get` in interface `Directory<City>`
    Parameters:
      `title` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### get

    public City get(String title, int countryId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### searchCityList

    public void searchCityList(SearchResult<City> searchResult, int countryId, String cityMask) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### countryCityCount

    public int countryCityCount(int countryId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`